Subject: Re: [DNSOP] Call for Adoption: draft-wkumari-dnsop-alt-tld

From: Warren Kumari <[email-masked]>
Date: Fri, 3 Jul 2015 15:14:57 -0400

On Thu, May 21, 2015 at 7:56 AM, Joe Abley <[email-masked]> wrote:
> Hi Tim,
>
> On 20 May 2015, at 22:13, Tim Wicinski wrote:
>
>> From the discussion on the mailing list, this draft appears to have
>> support in the working group. The authors have requested a Call for
>> Adoption.  The chairs want to move forward with this draft if it has
>> consensus support.
>>
>> This starts a Call for Adoption for draft-wkumari-dnsop-alt-tld
>>
>> The draft is available here:
>> https://datatracker.ietf.org/doc/draft-wkumari-dnsop-alt-tld/
>>
>> Please review this draft to see if you think it is suitable for adoption
>> by DNSOP, and comments to the list, clearly stating your view.
>
>
> I have read this draft. I support its adoption as a working group document.
> I am willing to review future revisions of this draft.
>
> I think reserving a DNS-like namespace anchor of ALT is unnecessary; as I
> mentioned in my comments about the ONION draft, you have a choice of
> anywhere in the namespace to place that anchor, and there are an enormous
> number existing places in the DNS where you can reserve a name without
> denting root zone maintenance processes or existing DNS namespace policy.
> Having said that, I don't think (if it turns out to be practical, see below)
> reserving the ALT label in the root will do any harm, and if people are
> willing to bang their heads against ICANN policy to make that happen, they
> should go right ahead.
>
> I like the quiet nod to the era of Usenet where people primarily exchanged
> text rather than 7-bit encoded MPEGs of mediocre network television. Those
> were the days.
>
> The "TLD" observation I made on the Onion draft seems not to apply here
> (except in the draft name, which will change anyway). The language used to
> describe the draft's goals seems clear and pleasantly unambiguous, at least
> following a quick re-skim.
>
> John expressed some mild reservations about the use of DNAME to sink
> accidental DNS queries with QNAMEs under the ALT domain; in fact the
> document does not specify that DNAME should be used, but rather that ALT be
> "delegated to 'new style' AS112 nameservers". I'll note that this would be a
> lame delegation, since those nameservers only serve the zone
> "EMPTY.AS112.ARPA".
>
> If DNAME *is* to be used, the authors might make quiet enquiries as to how
> much trouble this would cause the people involved in root zone maintenance,
> since to my knowledge there is nothing in the existing processes or RZM
> machinery to allow a DNAME to be added. The use of DNAME has the potential
> to expand an awkward political conversation between the IAB and ICANN about
> authority to reserve names in the root zone to one that includes the other
> two root zone partners as well.
>
> I could quite well be over-stating this; perhaps the IAB, ICANN, USG and
> VRSN are all tremendously best friends these days, brought together with one
> mind in glorious agreement over such trivial topics as the future of the
> IANA. But if there's an inkling of truth about my scaremongering, taking
> care to reduce the draft to the level where it can proceed to publication
> without everybody having to agree might be an idea.

Good point, thanks. I've removed the "delegate to new style AS112"
text - this was originally form when we had 'Omniscient AS112', which
could have been delegated to directly. Having .alt in the locally
served zones registry will accomplish 99% of what AS112 would have
anyway...

Sorry it has taken so long to get to these comments....

W

>
>
> Joe
>
>
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Warren Kumari <[email-masked]>
Date: Fri, 3 Jul 2015 15:38:24 -0400

On Thu, May 21, 2015 at 12:30 PM, John Levine <[email-masked]> wrote:
>
>>I think reserving a DNS-like namespace anchor of ALT is unnecessary; as
>>I mentioned in my comments about the ONION draft, you have a choice of
>>anywhere in the namespace to place that anchor, and there are an
>>enormous number existing places in the DNS where you can reserve a name
>>without denting root zone maintenance processes or existing DNS
>>namespace policy.
>
> As a matter of arithmetic, you are of course correct.  But in
> practice, some names are much more equal than others and .onion is a
> lot more mnemonic than .alliumcepa or .vtdsknmsknd.  I doubt whether
> the people who started using .corp and .mail and .home in their local
> software a decade ago imagined that it would ever become a policy
> issue.
>
>>If DNAME *is* to be used, the authors might make quiet enquiries as to
>>how much trouble this would cause the people involved in root zone
>>maintenance, ...
>
> There are TLDs whose zone file contains only a DNAME (other than the
> mandatory stuff) so a possible band-aid would be to do that, using
> the delegation of .arpa as a precedent for our ability to ask IANA
> to install NS records for us.
>
> But the more I think about DNAME, the worse idea it seems to me.

I've removed the DNAME / AS112 idea, and published a new version.

W

>  In
> particular, since DNAME does not redirect its own name, that would
> mean that even though alt.<anything> would not exist in the DNS, plain
> alt. would exist, and that doesn't appear consistent with the goals of
> this draft.  It's a problem that doesn't occur with existing uses of
> as112 since they're all subtrees of the .arpa namespace.
>
> R's,
> John
>
> PS:
>
>>I like the quiet nod to the era of Usenet where people primarily
>>exchanged text rather than 7-bit encoded MPEGs of mediocre network
>>television. Those were the days.
>
> Whadda ya mean "were"?
>
>
>